

// subPackage/page/pages/paymentStatus/paymentStatus.js
const app = getApp()
const wxService = require('../../../../utils/wxService')
const utils = require('../../../../utils/util')

wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    amount: 0,
    status: 'S',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    const { amount,status } = this.options
    console.log('this.options', status)
    this.setData({
      amount,
      status
    })

    // 动态设置title
    wx.setNavigationBarTitle({
      title: status == 'S' ? '支付成功' : '支付失败'
    })


  },
  goPayAgain() {
    console.log('goPayAgain')
  },
  goOrder() {
    wxService.router(`/pages/order/order`)
  },
  goClassificationPage() {
    wxService.router(`/pages/category/category`)
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})